commit:     facf304132678fa20281007a18adfaa1847a6120
Author:     Florian Schmaus <flow <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 30 10:04:59 2024 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Tue Apr 30 10:05:07 2024 +0000
URL:        https://gitweb.gentoo.org/proj/tex-overlay.git/commit/?id=facf3041

avoid loop in man page installation

Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 eclass/texlive-module.eclass | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

diff --git a/eclass/texlive-module.eclass b/eclass/texlive-module.eclass
index 11d869a..8035322 100644
--- a/eclass/texlive-module.eclass
+++ b/eclass/texlive-module.eclass
@@ -362,11 +362,8 @@ texlive-module_src_install() {
 
                if ver_test -ge 2023 && [[ ${CATEGORY} == dev-texlive ]]; then
                        eshopts_push -s nullglob
-                       local man_page
-                       for man_page in texmf-dist/doc/man/man[1-8]/*.[1-8]; do
-                               doman "${man_page}"
-                               rm "${man_page}" || die
-                       done
+                       doman texmf-dist/doc/man/man[0-9n]/*.[0-9n]
+                       rm texmf-dist/doc/man/man[0-9n]/*.[0-9n] || die
                        eshopts_pop
                fi
        else

Reply via email to